Add contacts bulk
Add new contacts in bulk. When a given phone number already exists, it updates existing contact. If existing contact gets updated, all information gets overwritten, including all extra fields.
Method
POST
Path
/contacts/bulk
Body parameters
records
The 'records' field is supposed to be an array of up to 10,000 contacts. Each item in the array should be as below.
Response
HTTP status codes
Response object
Code sample
curl --location --request POST 'https://api.sociocs.com/contacts/bulk' \
--header 'apikey: your_api_key' \
--header 'Content-Type: application/json' \
--data-raw '{
"list_id": 0,
"phone_number_cc": "1",
"records": [
{
"phone_number": "16175551212",
"name": "John Johnson",
"extra_fields": {
"email_address": john@example.com
}
},
{
"phone_number": "16175551111",
"name": "David Davidson",
"extra_fields": {
"email_address": david@example.com
}
}
]
}'